#pragma once

#include "kateai.h"
#include <KTextEditor/ConfigPage>

#include <QLineEdit>
#include <QRadioButton>

class KateAiConfigPage : public KTextEditor::ConfigPage
{
	Q_OBJECT
private:
	QLineEdit lineUrl;
	QRadioButton btnCompletion;
	QRadioButton btnInstruct;
	KateAiPlugin* m_plugin;

public:
	explicit KateAiConfigPage(QWidget *parent = nullptr, KateAiPlugin *plugin = nullptr);
	~KateAiConfigPage() override
	{
	}

	QString name() const override;
	QString fullName() const override;
	QIcon icon() const override;

	void apply() override;
	void reset() override;
	void defaults() override
	{
	}
};
