#pragma once

#include "backend.h"

#include <QUrl>
#include <QWebSocket>

class ExLlama: public AiBackend
{
	Q_OBJECT
private:
	QWebSocket m_webSocket;

	void socketMessage(const QString& message);

protected:
	virtual void generateImpl(const Request& request) override;

public:
	ExLlama();
	virtual bool ready() override;
	virtual void open(const QUrl& url) override;

	virtual ~ExLlama();
};
